0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Vragen over de distributie en het project
Gebruikersavatar
Roppie
Nieuweling
Nieuweling
Berichten: 10
Lid geworden op: Vr 24 Aug 2018, 20:18
Locatie: Haarlem
Contact:

0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Berichtdoor Roppie » Vr 24 Jul 2020, 17:30

Hallo,

normaal kan ik linux mint aardig troubble shooten.
na mint update naar 20 zit ik met een dingetje dat ik met alle opdrachten die ik ken niet weg krijg.
Wat ik ook doe , de uitslag is:
0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

ook als ik:
sudo apt -u -V upgrade
sudo apt -u upgrade --assume-no
sudo apt list --upgradable -> toont niets
sudo apt install - f
sudo dpkg --configure -a -> fixed niets

ik kan nog wel even zo doorgaan. niets lost het op.
Dit is sinds linux mint 20 en heeft (vast) te maken met Wine 32
Als ik dat probeer te installeren krijg ik de melding:

De volgende pakketten hebben niet-voldane vereisten:
wine32-development:i386 : Vereisten: libwine-development:i386 (= 5.5-3ubuntu1) maar het zal niet geïnstalleerd worden
E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.

Je zou denken, dan installeer ik ze toch los. Dus niet.
Via Synaptic kan ik kiezen voor "repareer gebroken pakketten" flikkert het scherm een milliseconde en verder niks.

Bij de update manager alle ppa uitgeschakeld. daarna geprobeerd of de melding anders is. Nul! Dus alle ppa's weer ingeschakeld.
Ik heb nog nooit van de 8 jaar dat ik nu linux mint gebruikt zoiets gehad. Meestal was het met een 1 of een paar simpele commando's op te lossen.

Drie vragen:

Waarom blijft "en 1 niet opgewaardeerd" vermeld worden?
Waarom kan ik er niet achter komen waar het op hangt?
Wat is DE oplossing? Ik ben nu in een stadium waar ik alles wat met wine te maken heeft heb verwijderd, je raad het al zonder oplossing.
Wie geen fouten maakt, maakt meestal niets.
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: 0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Berichtdoor tytsjerksteradiel » Vr 24 Jul 2020, 23:49


Wat is DE oplossing ????
mogelijk verband / oplossing voor uw probleem ?
http://ubuntuhandbook.org/index.php/202 ... x-mint-20/
Gebruikersavatar
Roppie
Nieuweling
Nieuweling
Berichten: 10
Lid geworden op: Vr 24 Aug 2018, 20:18
Locatie: Haarlem
Contact:

Re: 0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Berichtdoor Roppie » Za 25 Jul 2020, 09:07

helaas, die had ik al geprobeerd.

Melding u houd defecte pakketen vast. Alleen als ik er probeer achter te komen welk pakket kom ik niet verder.
Dit kan in een normale situatie vrij vlot worden opgelost. Maar met dit raadsel zit er geen schot in.

sudo apt update && sudo apt install --install-recommends winehq-devel

Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen
dat u om een onmogelijke situatie gevraagd heeft, of, indien u
de distributie 'unstable' gebruikt, dat sommige benodigde pakketten nog gemaakt moeten worden of uit 'Incoming' verwijderd werden.
De volgende informatie kan misschien helpen de situatie op te lossen:

De volgende pakketten hebben niet-voldane vereisten:
winehq-devel : Vereisten: wine-devel (= 5.13~focal)
E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.
Wie geen fouten maakt, maakt meestal niets.
Gebruikersavatar
emvedeesje
Senior
Senior
Berichten: 288
Lid geworden op: Zo 17 Jun 2018, 11:03
Locatie: Aalter-Ovl-Belgie

Re: 0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Berichtdoor emvedeesje » Za 25 Jul 2020, 09:46

Ik zie dat je Mint-20 hebt bekomen door een update uit de vorige Mint-19.

Dit zou wel eens de reden kunnen zijn.
Er wordt dikwijls op gewezen om enkel updates te doen in de lopende reeks, en niet naar een hogere.
En eigenlijk is dat ook logisch.

Ik heb Mint-20 zonet gedetailleerd vergeleken met Mint-19 i.v.m. mijn eigen behoeften.
Daar vind ik niet meer terug in 20, die ik gebruikte in 19: chromium-browser, system-config-samba, puddletag.
Vraag is: wat zou er gebeurd zijn indien er een update van 19 > 20 zou uitgevoerd zijn?

Anderzijds kunnen config bestanden verschillen van de ene release naar de andere.

Als je de beschikking hebt over een testbak kan je van alles op voorhand uitproberen.
En Timeshift is DE tool om naar vorige situaties te kunnen terugkeren.

Best Mint-20 installeren op een geformatteerde partitie.

groeten van Michael
Mint cinnamon fan
Mint cinnamon -19.3 (komend van Mint-18 Mint-17 Ubuntu-16 Ubuntu-14 Ubuntu-12)
Gebruikersavatar
Roppie
Nieuweling
Nieuweling
Berichten: 10
Lid geworden op: Vr 24 Aug 2018, 20:18
Locatie: Haarlem
Contact:

Re: 0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd

Berichtdoor Roppie » Za 25 Jul 2020, 10:16

Ho Michael,
Inderdaad! PC is steeds geupdate vanaf mint 11, gok ik.
Dit keer ging de update naar 20 niet zo lekker als voorheen. Tijdens de laatste upgrade kreeg ik een vraag over sql en phpmyadmin. omdat ik aan het upgraden was kon ik de vraag niet plaatsen en klikte yes om door te kunnen.
Na de upgrade naar 20 bleek mijn webserver met test websites kapot. SQL kon Myphpadmin niet meer vinden en de websites konden sql niet meer vinden. Een heel gedoe dat inmiddels gelukkig is al een paar weken opgelost.
Op het moment van verstroring had ik enorm spijt dat ik had geupgrade

Terug naar deze uitdaging.

Ik heb wel eens eerder de melding gezien en opgelost: 0 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd
Alleen deze lijkt hartnekkiger te zijn
Wie geen fouten maakt, maakt meestal niets.

Terug naar “Niet technische vragen”

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 1 gast